Bug 379066 - Bug in Grantlee template when viewing SMIME Msg: plain HTML code is shown
Summary: Bug in Grantlee template when viewing SMIME Msg: plain HTML code is shown
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.4.3
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-22 08:51 UTC by Achim Bohnet
Modified: 2017-04-23 06:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.5.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Achim Bohnet 2017-04-22 08:51:49 UTC
Bug is with 5.5 (fresh 17.04) [5.5 not available in bugzilla kmail product version menu]

When a SMIME Msg is displayed and I click 'show details' I now get with 5.5:

Not enough information to check signature. <a href="kmail:showCertificate#gpgsm ### SMIME ### D07F02C9F576DC43">0xD07F02C9F576DC43</a> 
 

AFAIU this is due to the commit
https://commits.kde.org/messagelib/2e6ad643072a5de40b96365d352966244f1c0116
in bug 378320.  (This bug is about the fact that msg is not detected as okay)
Comment 1 Laurent Montel 2017-04-23 06:27:32 UTC
Git commit 5c4e1cde70627a4cb868092bf806aecaf86f582e by Montel Laurent.
Committed on 23/04/2017 at 06:27.
Pushed by mlaurent into branch 'Applications/17.04'.

Fix Bug 379066 - Bug in Grantlee template when viewing SMIME Msg: plain HTML code is shown

FIXED-IN: 5.5.1

M  +1    -1    messageviewer/src/messagepartthemes/default/templates/signedmessagepart.html

https://commits.kde.org/messagelib/5c4e1cde70627a4cb868092bf806aecaf86f582e